artdaq - Feature #25081

minor adjustment TRACE/TLOG Ivis for new trace version with added non-debug levels
10/15/2020 02:25 PM - Ron Rechenmacher
Description

artdaq and trace and message facility use non-debug levels: error, warning and info. Message facility has other
"levels" (which they actually call severities). Other systems have 6 or 7 non-debug levels. DUNE has 5. It would
have been nice if TRACE had more non-debug levels... enough to "map" to the 5 DUNE levels. A new version of TRACE will

have more levels (i.e. 7 non-debug levels) that basically match syslogd levels (which also match levels used in the kernel).
To allow a seamless transistion to a new version of TRACE (with more levels) some current low debug levels should be

shifted up (out of the new non-debug level) space. A quick analysis of the code via:

findsource |
indicates:
artdag_demo

artdaq - 14 files
artdaq_core - 1file

artdaq_utilities - 1 file

xargs egrep —1 'TRACE\ ([0-7], |TLOG\ ([3-71\)"

History

#1 - 10/15/2020 02:25 PM - Ron Rechenmacher

- Tracker changed from Bug to Feature

#2 - 10/15/2020 03:06 PM - Ron Rechenmacher

- Description updated

#3 - 10/15/2020 03:07 PM - Ron Rechenmacher

- Description updated

#4 - 10/16/2020 08:13 AM - Eric Flumerfelt

- Assignee set to Ron Rechenmacher

- Status changed from New to Resolved

- Co-Assignees Eric Flumerfelt added

artdag_core reviewed by code inspection (1 TRACE call changed)

#5 - 10/16/2020 08:14 AM - Eric Flumerfelt

artdag_demo reviewed by code inspection (only TRACE calls' levels changed)

#6 - 10/16/2020 08:14 AM - Eric Flumerfelt

artdag_utilities reviewed by code inspection (6 TRACE calls had level changes)

#7 - 10/16/2020 08:31 AM - Eric Flumerfelt

- Status changed from Resolved to Reviewed

artdag reviewed by code review and using the commander_test to validate changes to do_trace_get.
#8 - 10/23/2020 12:27 PM - Eric Flumerfelt
- Target version set to artdaq v3_09_02

- Status changed from Reviewed to Closed
